# Título
Creación de una aplicación de búsqueda de libros con Spring Core.

## Uso
Para la creación de este proyecto hemos usado la tecnología de Spring Core para agilizar las relaciones entre los objetos.

En esta app podrás realizar consultas como buscar un libro por género o por título, además se ha añadido un apartado de [ayuda](./src/main/resources/help.txt/) que muestra de forma clara el uso.

## Ejemplo práctico : Buscar un libro por título
```
java -jar booksearch.jar -t war
```
```
ID	Título                             	Autor                 	Género
21	Making Software                    	[Oram,  Andy]         	computer science
49	Once There Was a War               	[Steinbeck,  John]    	nonfiction
77	Radiowaril Bhashane & Shrutika     	[Deshpande,  P L]     	nonfiction
110	Great War for Civilization         	[Fisk,  Robert]       	history
```

## Diagrama de clases
![Diagrama de clases.](./img/diagramaClases_booksearch.png "Diagrama de clases.")

## Fuente de datos
En este repositorio [books.csv](./src/main/resources/books.csv/).

## Licencia 
Uso libre.